<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstSimTrackerHit Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_sim_tracker_hit-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstSimTrackerHit Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_sim_tracker_hit_const_8h_source.html">SimTrackerHitConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2ee6af5bdeae9dadc098dac5dc086eb8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a2ee6af5bdeae9dadc098dac5dc086eb8">ConstSimTrackerHit</a> ()</td></tr>
<tr class="memdesc:a2ee6af5bdeae9dadc098dac5dc086eb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a2ee6af5bdeae9dadc098dac5dc086eb8">More...</a><br /></td></tr>
<tr class="separator:a2ee6af5bdeae9dadc098dac5dc086eb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19e5614feab3e67d6fcbc935fa426d2d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a19e5614feab3e67d6fcbc935fa426d2d">ConstSimTrackerHit</a> (long long <a class="el" href="classeic_1_1_const_sim_tracker_hit.html#aedcafdb4850a7b96ce364f930f6859ca">cellID0</a>, long long <a class="el" href="classeic_1_1_const_sim_tracker_hit.html#acd5c1fa8be506c58d1d49f6b970797e5">cellID1</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_const_sim_tracker_hit.html#acc130abbdbbe03540f4def1d9e061cea">position</a>, float <a class="el" href="classeic_1_1_const_sim_tracker_hit.html#adaa688e47edd0881b2ae177f847ed0d3">time</a>, float <a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a1d53c7fdbed6112dfd19b07f50232b0b">pathLength</a>, float <a class="el" href="classeic_1_1_const_sim_tracker_hit.html#ad1d3a11cc7e967c9e17282636d1df636">EDep</a>, std::array&lt; float, 3 &gt; <a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a01a5875bed38ae277173430cf27f8c12">_p</a>)</td></tr>
<tr class="separator:a19e5614feab3e67d6fcbc935fa426d2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb9248c2dbde12dde9a5906c7f5e1985"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#aeb9248c2dbde12dde9a5906c7f5e1985">ConstSimTrackerHit</a> (<a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a> *obj)</td></tr>
<tr class="memdesc:aeb9248c2dbde12dde9a5906c7f5e1985"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a>  <a href="#aeb9248c2dbde12dde9a5906c7f5e1985">More...</a><br /></td></tr>
<tr class="separator:aeb9248c2dbde12dde9a5906c7f5e1985"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a01ad6397a85e2dde1823b56616b755"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a7a01ad6397a85e2dde1823b56616b755">ConstSimTrackerHit</a> (const <a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;other)</td></tr>
<tr class="memdesc:a7a01ad6397a85e2dde1823b56616b755"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a7a01ad6397a85e2dde1823b56616b755">More...</a><br /></td></tr>
<tr class="separator:a7a01ad6397a85e2dde1823b56616b755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c73b2cd20c719c5b2b57c675531209a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a6c73b2cd20c719c5b2b57c675531209a">operator=</a> (const <a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;other)</td></tr>
<tr class="memdesc:a6c73b2cd20c719c5b2b57c675531209a"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a6c73b2cd20c719c5b2b57c675531209a">More...</a><br /></td></tr>
<tr class="separator:a6c73b2cd20c719c5b2b57c675531209a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74a1c6af5e15a404689a6490e5c6816f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a74a1c6af5e15a404689a6490e5c6816f">clone</a> () const</td></tr>
<tr class="memdesc:a74a1c6af5e15a404689a6490e5c6816f"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a74a1c6af5e15a404689a6490e5c6816f">More...</a><br /></td></tr>
<tr class="separator:a74a1c6af5e15a404689a6490e5c6816f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3e0973d10773a391dc25293a19c26ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#ab3e0973d10773a391dc25293a19c26ca">~ConstSimTrackerHit</a> ()</td></tr>
<tr class="memdesc:ab3e0973d10773a391dc25293a19c26ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#ab3e0973d10773a391dc25293a19c26ca">More...</a><br /></td></tr>
<tr class="separator:ab3e0973d10773a391dc25293a19c26ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedcafdb4850a7b96ce364f930f6859ca"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#aedcafdb4850a7b96ce364f930f6859ca">cellID0</a> () const</td></tr>
<tr class="memdesc:aedcafdb4850a7b96ce364f930f6859ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#aedcafdb4850a7b96ce364f930f6859ca">More...</a><br /></td></tr>
<tr class="separator:aedcafdb4850a7b96ce364f930f6859ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd5c1fa8be506c58d1d49f6b970797e5"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#acd5c1fa8be506c58d1d49f6b970797e5">cellID1</a> () const</td></tr>
<tr class="memdesc:acd5c1fa8be506c58d1d49f6b970797e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#acd5c1fa8be506c58d1d49f6b970797e5">More...</a><br /></td></tr>
<tr class="separator:acd5c1fa8be506c58d1d49f6b970797e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc130abbdbbe03540f4def1d9e061cea"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#acc130abbdbbe03540f4def1d9e061cea">position</a> () const</td></tr>
<tr class="memdesc:acc130abbdbbe03540f4def1d9e061cea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The position of the hit in world coordinates.  <a href="#acc130abbdbbe03540f4def1d9e061cea">More...</a><br /></td></tr>
<tr class="separator:acc130abbdbbe03540f4def1d9e061cea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d4e9b1fbbe9b6d2f8b1a72689a2133b"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a1d4e9b1fbbe9b6d2f8b1a72689a2133b">position</a> (size_t i) const</td></tr>
<tr class="memdesc:a1d4e9b1fbbe9b6d2f8b1a72689a2133b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i in the The position of the hit in world coordinates.  <a href="#a1d4e9b1fbbe9b6d2f8b1a72689a2133b">More...</a><br /></td></tr>
<tr class="separator:a1d4e9b1fbbe9b6d2f8b1a72689a2133b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaa688e47edd0881b2ae177f847ed0d3"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#adaa688e47edd0881b2ae177f847ed0d3">time</a> () const</td></tr>
<tr class="memdesc:adaa688e47edd0881b2ae177f847ed0d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The time of the hit in [ns].  <a href="#adaa688e47edd0881b2ae177f847ed0d3">More...</a><br /></td></tr>
<tr class="separator:adaa688e47edd0881b2ae177f847ed0d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d53c7fdbed6112dfd19b07f50232b0b"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a1d53c7fdbed6112dfd19b07f50232b0b">pathLength</a> () const</td></tr>
<tr class="memdesc:a1d53c7fdbed6112dfd19b07f50232b0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the path length.  <a href="#a1d53c7fdbed6112dfd19b07f50232b0b">More...</a><br /></td></tr>
<tr class="separator:a1d53c7fdbed6112dfd19b07f50232b0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1d3a11cc7e967c9e17282636d1df636"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#ad1d3a11cc7e967c9e17282636d1df636">EDep</a> () const</td></tr>
<tr class="memdesc:ad1d3a11cc7e967c9e17282636d1df636"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the EDep.  <a href="#ad1d3a11cc7e967c9e17282636d1df636">More...</a><br /></td></tr>
<tr class="separator:ad1d3a11cc7e967c9e17282636d1df636"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a5875bed38ae277173430cf27f8c12"><td class="memItemLeft" align="right" valign="top">const std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a01a5875bed38ae277173430cf27f8c12">_p</a> () const</td></tr>
<tr class="memdesc:a01a5875bed38ae277173430cf27f8c12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the momentum.  <a href="#a01a5875bed38ae277173430cf27f8c12">More...</a><br /></td></tr>
<tr class="separator:a01a5875bed38ae277173430cf27f8c12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4d07fb4c7a5cacad02ae3d6d58189f8"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#ad4d07fb4c7a5cacad02ae3d6d58189f8">_p</a> (size_t i) const</td></tr>
<tr class="memdesc:ad4d07fb4c7a5cacad02ae3d6d58189f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i in the momentum.  <a href="#ad4d07fb4c7a5cacad02ae3d6d58189f8">More...</a><br /></td></tr>
<tr class="separator:ad4d07fb4c7a5cacad02ae3d6d58189f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ab60e4b6c5337b1611295801472a9b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a84ab60e4b6c5337b1611295801472a9b">particle</a> () const</td></tr>
<tr class="memdesc:a84ab60e4b6c5337b1611295801472a9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The <a class="el" href="classeic_1_1_m_c_particle.html">MCParticle</a> that caused the hit.  <a href="#a84ab60e4b6c5337b1611295801472a9b">More...</a><br /></td></tr>
<tr class="separator:a84ab60e4b6c5337b1611295801472a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a281cc4bef49c5da252ff54de1570dc4c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a281cc4bef49c5da252ff54de1570dc4c">isAvailable</a> () const</td></tr>
<tr class="memdesc:a281cc4bef49c5da252ff54de1570dc4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a281cc4bef49c5da252ff54de1570dc4c">More...</a><br /></td></tr>
<tr class="separator:a281cc4bef49c5da252ff54de1570dc4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae76c02f45b004dfe4dc937b93015e3f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#ae76c02f45b004dfe4dc937b93015e3f2">unlink</a> ()</td></tr>
<tr class="memdesc:ae76c02f45b004dfe4dc937b93015e3f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a> instance  <a href="#ae76c02f45b004dfe4dc937b93015e3f2">More...</a><br /></td></tr>
<tr class="separator:ae76c02f45b004dfe4dc937b93015e3f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61d3aaf50c454b1d8c6ca29ddf21debc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a61d3aaf50c454b1d8c6ca29ddf21debc">operator==</a> (const <a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:a61d3aaf50c454b1d8c6ca29ddf21debc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a515d2c30d35d8873a16f5263c5b5f4a7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a515d2c30d35d8873a16f5263c5b5f4a7">operator==</a> (const <a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:a515d2c30d35d8873a16f5263c5b5f4a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa23d26582832ca2598c0b07499417881"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#aa23d26582832ca2598c0b07499417881">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;other) const</td></tr>
<tr class="separator:aa23d26582832ca2598c0b07499417881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade927337127af8e8d17ff4ceade54276"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#ade927337127af8e8d17ff4ceade54276">id</a> () const</td></tr>
<tr class="separator:ade927337127af8e8d17ff4ceade54276"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c61d0713596089013c0a193f9c4ac37"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html#a3c61d0713596089013c0a193f9c4ac37">getObjectID</a> () const</td></tr>
<tr class="separator:a3c61d0713596089013c0a193f9c4ac37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC simulated tracker hit </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8h_source.html#l00031">31</a> of file <a class="el" href="_sim_tracker_hit_const_8h_source.html">SimTrackerHitConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2ee6af5bdeae9dadc098dac5dc086eb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ee6af5bdeae9dadc098dac5dc086eb8">&#9670;&nbsp;</a></span>ConstSimTrackerHit() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstSimTrackerHit::ConstSimTrackerHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00013">13</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a19e5614feab3e67d6fcbc935fa426d2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19e5614feab3e67d6fcbc935fa426d2d">&#9670;&nbsp;</a></span>ConstSimTrackerHit() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstSimTrackerHit::ConstSimTrackerHit </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>pathLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>EDep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>_p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">17</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00020">eic::SimTrackerHitData::_p</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00067">_p()</a>, <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00014">eic::SimTrackerHitData::cellID0</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00053">cellID0()</a>, <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00015">eic::SimTrackerHitData::cellID1</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00055">cellID1()</a>, <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>, <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00019">eic::SimTrackerHitData::EDep</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00065">EDep()</a>, <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00018">eic::SimTrackerHitData::pathLength</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00063">pathLength()</a>, <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00016">eic::SimTrackerHitData::position</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00057">position()</a>, <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00017">eic::SimTrackerHitData::time</a>, and <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00061">time()</a>.</p>

</div>
</div>
<a id="aeb9248c2dbde12dde9a5906c7f5e1985"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb9248c2dbde12dde9a5906c7f5e1985">&#9670;&nbsp;</a></span>ConstSimTrackerHit() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstSimTrackerHit::ConstSimTrackerHit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00039">39</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a7a01ad6397a85e2dde1823b56616b755"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a01ad6397a85e2dde1823b56616b755">&#9670;&nbsp;</a></span>ConstSimTrackerHit() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstSimTrackerHit::ConstSimTrackerHit </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00029">29</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="ab3e0973d10773a391dc25293a19c26ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3e0973d10773a391dc25293a19c26ca">&#9670;&nbsp;</a></span>~ConstSimTrackerHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstSimTrackerHit::~ConstSimTrackerHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00048">48</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a01a5875bed38ae277173430cf27f8c12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01a5875bed38ae277173430cf27f8c12">&#9670;&nbsp;</a></span>_p() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, 3 &gt; &amp; eic::ConstSimTrackerHit::_p </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the momentum. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00067">67</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00020">eic::SimTrackerHitData::_p</a>, and <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad4d07fb4c7a5cacad02ae3d6d58189f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4d07fb4c7a5cacad02ae3d6d58189f8">&#9670;&nbsp;</a></span>_p() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstSimTrackerHit::_p </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i in the momentum. </p>
<p>Access the momentum. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00069">69</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00020">eic::SimTrackerHitData::_p</a>, and <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>.</p>

</div>
</div>
<a id="aedcafdb4850a7b96ce364f930f6859ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedcafdb4850a7b96ce364f930f6859ca">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstSimTrackerHit::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00014">eic::SimTrackerHitData::cellID0</a>, and <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="acd5c1fa8be506c58d1d49f6b970797e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd5c1fa8be506c58d1d49f6b970797e5">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstSimTrackerHit::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00055">55</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00015">eic::SimTrackerHitData::cellID1</a>, and <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a74a1c6af5e15a404689a6490e5c6816f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74a1c6af5e15a404689a6490e5c6816f">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> eic::ConstSimTrackerHit::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00044">44</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="ad1d3a11cc7e967c9e17282636d1df636"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1d3a11cc7e967c9e17282636d1df636">&#9670;&nbsp;</a></span>EDep()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstSimTrackerHit::EDep </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the EDep. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00065">65</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>, and <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00019">eic::SimTrackerHitData::EDep</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a3c61d0713596089013c0a193f9c4ac37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c61d0713596089013c0a193f9c4ac37">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstSimTrackerHit::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00085">85</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8h_source.html#l00095">id()</a>.</p>

</div>
</div>
<a id="ade927337127af8e8d17ff4ceade54276"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade927337127af8e8d17ff4ceade54276">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstSimTrackerHit::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8h_source.html#l00095">95</a> of file <a class="el" href="_sim_tracker_hit_const_8h_source.html">SimTrackerHitConst.h</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00085">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a281cc4bef49c5da252ff54de1570dc4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a281cc4bef49c5da252ff54de1570dc4c">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstSimTrackerHit::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00078">78</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="aa23d26582832ca2598c0b07499417881"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa23d26582832ca2598c0b07499417881">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstSimTrackerHit::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8h_source.html#l00093">93</a> of file <a class="el" href="_sim_tracker_hit_const_8h_source.html">SimTrackerHitConst.h</a>.</p>

</div>
</div>
<a id="a6c73b2cd20c719c5b2b57c675531209a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c73b2cd20c719c5b2b57c675531209a">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp; eic::ConstSimTrackerHit::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00033">33</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a61d3aaf50c454b1d8c6ca29ddf21debc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61d3aaf50c454b1d8c6ca29ddf21debc">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstSimTrackerHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8h_source.html#l00084">84</a> of file <a class="el" href="_sim_tracker_hit_const_8h_source.html">SimTrackerHitConst.h</a>.</p>

</div>
</div>
<a id="a515d2c30d35d8873a16f5263c5b5f4a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a515d2c30d35d8873a16f5263c5b5f4a7">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstSimTrackerHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00092">92</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

</div>
</div>
<a id="a84ab60e4b6c5337b1611295801472a9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84ab60e4b6c5337b1611295801472a9b">&#9670;&nbsp;</a></span>particle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> eic::ConstSimTrackerHit::particle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The <a class="el" href="classeic_1_1_m_c_particle.html">MCParticle</a> that caused the hit. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00071">71</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00040">eic::SimTrackerHitObj::m_particle</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a1d53c7fdbed6112dfd19b07f50232b0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d53c7fdbed6112dfd19b07f50232b0b">&#9670;&nbsp;</a></span>pathLength()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstSimTrackerHit::pathLength </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the path length. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00063">63</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>, and <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00018">eic::SimTrackerHitData::pathLength</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="acc130abbdbbe03540f4def1d9e061cea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc130abbdbbe03540f4def1d9e061cea">&#9670;&nbsp;</a></span>position() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::ConstSimTrackerHit::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00057">57</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>, and <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00016">eic::SimTrackerHitData::position</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a1d4e9b1fbbe9b6d2f8b1a72689a2133b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d4e9b1fbbe9b6d2f8b1a72689a2133b">&#9670;&nbsp;</a></span>position() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstSimTrackerHit::position </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i in the The position of the hit in world coordinates. </p>
<p>Access the The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00059">59</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>, and <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00016">eic::SimTrackerHitData::position</a>.</p>

</div>
</div>
<a id="adaa688e47edd0881b2ae177f847ed0d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adaa688e47edd0881b2ae177f847ed0d3">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstSimTrackerHit::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The time of the hit in [ns]. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00061">61</a> of file <a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">eic::SimTrackerHitObj::data</a>, and <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00017">eic::SimTrackerHitData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00103">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae76c02f45b004dfe4dc937b93015e3f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae76c02f45b004dfe4dc937b93015e3f2">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstSimTrackerHit::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_const_8h_source.html#l00082">82</a> of file <a class="el" href="_sim_tracker_hit_const_8h_source.html">SimTrackerHitConst.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_sim_tracker_hit_const_8h_source.html">SimTrackerHitConst.h</a></li>
<li>src/<a class="el" href="_sim_tracker_hit_const_8cc_source.html">SimTrackerHitConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
